"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.teardownStage = exports.setupStage = void 0;
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var shelljs_1 = tslib_1.__importDefault(require("shelljs"));
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var common_utils_1 = require("./common.utils");
shelljs_1.default.config.silent = true;
var ROOT_DIR = process.cwd();
var STAGING_PATH = path_1.default.join(ROOT_DIR, 'test', '.staging');
var getStageName = function (fixtureName) { return "stage-" + fixtureName; };
exports.setupStage = function (_a) {
    var testDir = _a.testDir, fixture = _a.fixture, _b = _a.template, template = _b === void 0 ? fixture : _b;
    var stagePath = path_1.default.join(STAGING_PATH, getStageName(fixture));
    shelljs_1.default.mkdir(stagePath);
    shelljs_1.default.exec("cp -a " + ROOT_DIR + "/test/" + testDir + "/fixtures/" + template + "/. " + stagePath + "/");
    shelljs_1.default.cd(stagePath);
    var shouldInstallDependencies = fs_extra_1.default.existsSync(path_1.default.resolve(stagePath, 'yarn.lock'));
    if (shouldInstallDependencies) {
        common_utils_1.installDependencies();
    }
};
exports.teardownStage = function (fixtureName) {
    shelljs_1.default.cd(ROOT_DIR);
    shelljs_1.default.rm('-rf', path_1.default.join(STAGING_PATH, getStageName(fixtureName)));
};
